from cvargparse import Arg
from cvargparse import BaseParser


def parse_args():
	parser = BaseParser()

	parser.add_args([
		Arg("--dataset", "-ds", default="data/eu_moths"),
		Arg("--weights", "-w", default="data/clf_final.npz"),

		Arg("--split_id", "-split", type=int, default=0),
		Arg("--batch_size", "-bs", type=int, default=32),
		Arg("--device_id", "-g", type=int, default=0),
		Arg("--n_jobs", "-j", type=int, default=4),

		Arg("--debug", action="store_true"),
	])

	return parser.parse_args()
