# Installation

1. Install miniconda according to the [instructions](https://docs.conda.io/en/latest/miniconda.html) for your OS

2. Create an environment
```bash
conda create -n myenv python~=3.8.0 matplotlib jupyter opencv
conda activate myenv
```

3. Install CUDA / cuDNN and required libraries:
```bash
conda install -c conda-forge cudatoolkit~=11.0.0 cudnn~=8.0.0
pip install chainer~=7.0 cupy_cuda110~=7.0 chainercv~=0.13.0
pip install cvmodelz pyaml tabulate tqdm
```
