# Moth Classifier

This is example code, how to evaluate a trained moth classifier (InceptionV3 architecture) on the [EU-moths](https://www.inf-cv.uni-jena.de/eu_moths_dataset) dataset.

See [installation instructions](INSTALL.md) for more information about the environment setup.


## Quick Start

To evaluate a trained InceptionV3 model on a moth dataset run the following:

```bash
python main.py --dataset data/eu_moths --weights data/clf_final.npz
```

For more help run

```bash
python main.py -h
```
